com.tibco.tibjms.admin

## Class TibjmsAdminException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.tibco.tibjms.admin.TibjmsAdminException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    TibjmsAdminInvalidNameException, TibjmsAdminJsonFileModifiedException, TibjmsAdminNameExistsException, TibjmsAdminSecurityException

      public class TibjmsAdminException
      extends java.lang.Exception

  This is the general admin exception used when an error occurs with a call to the server.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TibjmsAdminException(java.lang.String msg)` Create a new TibjmsAdminException with given error message.
    `TibjmsAdminException(java.lang.String msg, java.lang.Exception e)` Create a new TibjmsAdminException with given error message and root exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `printStackTrace()` Prints stack trace of this exception and of the internal exception if it is set.
    `void` | `printStackTrace(java.io.PrintStream s)` Prints stack trace of this exception and of the internal exception if it is set.
    `void` | `printStackTrace(java.io.PrintWriter s)` Prints stack trace of this exception and of the internal exception if it is set.
    `java.lang.String` | `toString()` Generate a string representation of this TibjmsAdminException.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TibjmsAdminException

          public TibjmsAdminException(java.lang.String msg)

      Create a new TibjmsAdminException with given error message.
      Parameters:
        `msg` - The error message for the exception.

    - #### TibjmsAdminException

          public TibjmsAdminException(java.lang.String msg,
                                      java.lang.Exception e)

      Create a new TibjmsAdminException with given error message and root exception.
      Parameters:
        `msg` - The error message for the exception.
        `e` - The root cause of the exception.

  - ### Method Detail

    - #### printStackTrace

          public void printStackTrace()

      Prints stack trace of this exception and of the internal exception if it is set.
      Overrides:
        `printStackTrace` in class `java.lang.Throwable`

    - #### printStackTrace

          public void printStackTrace(java.io.PrintWriter s)

      Prints stack trace of this exception and of the internal exception if it is set.
      Overrides:
        `printStackTrace` in class `java.lang.Throwable`
      Parameters:
        `s` - the PrintWriter object to print to.

    - #### printStackTrace

          public void printStackTrace(java.io.PrintStream s)

      Prints stack trace of this exception and of the internal exception if it is set.
      Overrides:
        `printStackTrace` in class `java.lang.Throwable`
      Parameters:
        `s` - the PrintStream object to print to.

    - #### toString

          public java.lang.String toString()

      Generate a string representation of this TibjmsAdminException.
      Overrides:
        `toString` in class `java.lang.Throwable`
      Returns:
        a string representation of this TibjmsAdminException.

Copyright © Cloud Software Group, Inc. All rights reserved